package kcg.faics.cmmn.web;

import java.util.HashMap;
import java.util.List;

import javax.annotation.Resource;

import kcg.faics.cmmn.service.CodeService;
import kcg.faics.cmmn.vo.CodeVO;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;


/** 
 * 코드관련 컨트롤러.
 * 
 * CodeController.java
 * @author 임새미 
 * @since 2016. 10. 10.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 10. 	    임새미				       최초생성
 * 
 */
@Controller
@RequestMapping("/code")
public class CodeController {
	
	/**
	 * 코드관련 서비스.
	 */
	@Resource(name = "codeService")
	private CodeService codeService;

	/**
	 * 하위소속 코드 리스트를 반환한다.
	 * 
	 * @param codeVO 코드VO
	 * @return 소속 코드 리스트
	 * @throws Exception 기본 예외 처리
	 */
	@ResponseBody
	@RequestMapping("/place2.json")
	public HashMap<String, Object> place2Json(final CodeVO codeVO) throws Exception {
		HashMap<String, Object> result = new HashMap<String, Object>();
		result.put("data", codeService.getPlace2List(codeVO));
		return result;
	}
	
	/**
	 * 세부소속 코드 리스트를 반환한다.
	 * 
	 * @param codeVO 코드VO
	 * @return 소속 코드 리스트
	 * @throws Exception 기본 예외 처리
	 */
	@ResponseBody
	@RequestMapping("/place3.json")
	public HashMap<String, Object> place3Json(final CodeVO codeVO) throws Exception {
		HashMap<String, Object> result = new HashMap<String, Object>();
		result.put("data", codeService.getPlace3List(codeVO));
		return result;
	}
	
}
